SDL_GetWindowFromID(3)

NAME
SDL_GetWindowFromID - Get a window from a stored ID.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_Window * SDL_GetWindowFromID(SDL_WindowID id);

DESCRIPTION
The numeric ID is what SDL_WindowEvent references, and is necessary to map these events to specific SDL_Window objects.

FUNCTION PARAMETERS

id  the ID of the window.

RETURN VALUE
Returns the window associated with id or NULL if it doesn't exist; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowID(3)